Bug 1492012 (CVE-2017-10784) - CVE-2017-10784 ruby: Escape sequence injection vulnerability in the Basic authentication of WEBrick
Summary: CVE-2017-10784 ruby: Escape sequence injection vulnerability in the Basic aut...
Status: CLOSED ERRATA
Alias: CVE-2017-10784
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170914,repor...
Keywords: Security
Depends On: 1492016 1492017 1509448 1509449 1509450 1509451 1534437 1534438 1534937 1534941
Blocks: 1492024
TreeView+ depends on / blocked
 
Reported: 2017-09-15 09:30 UTC by Adam Mariš
Modified: 2018-03-26 10:23 UTC (History)
30 users (show)

(edit)
It was found that WEBrick did not sanitize all its log messages. If logs were printed in a terminal, an attacker could interact with the terminal via the use of escape sequences.
Clone Of:
(edit)
Last Closed: 2017-12-19 12:59:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3485 normal SHIPPED_LIVE Moderate: rh-ruby24-ruby security, bug fix, and enhancement update 2017-12-19 13:37:01 UTC
Red Hat Product Errata RHSA-2018:0378 normal SHIPPED_LIVE Important: ruby security update 2018-03-01 01:06:17 UTC
Red Hat Product Errata RHSA-2018:0583 None None None 2018-03-26 09:45 UTC
Red Hat Product Errata RHSA-2018:0585 None None None 2018-03-26 10:23 UTC

Description Adam Mariš 2017-09-15 09:30:28 UTC
There is an escape sequence injection vulnerability in the Basic authentication of WEBrick bundled by Ruby. When using the Basic authentication of WEBrick, clients can pass an arbitrary string as the user name. WEBrick outputs the passed user name intact to its log, then an attacker can inject malicious escape sequences to the log and dangerous control characters may be executed on a victim’s terminal emulator.

External References:

https://www.ruby-lang.org/en/news/2017/09/14/webrick-basic-auth-escape-sequence-injection-cve-2017-10784/

Comment 1 Adam Mariš 2017-09-15 09:37:55 UTC
Created ruby tracking bugs for this issue:

Affects: fedora-all [bug 1492016]


Created ruby193-ruby tracking bugs for this issue:

Affects: openshift-1 [bug 1492017]

Comment 2 Fedora Update System 2017-10-02 14:24:54 UTC
ruby-2.4.2-84.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Cedric Buissart 🐶 2017-11-28 13:00:28 UTC
Upstream commit: 
https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=59897

Comment 8 errata-xmlrpc 2017-12-19 08:38:32 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3485 https://access.redhat.com/errata/RHSA-2017:3485

Comment 9 Cedric Buissart 🐶 2017-12-19 13:00:16 UTC
Statement:

This issue affects the versions of ruby as shipped with Red Hat Enterprise Linux 5, 6, and 7, as well as the versions of rh-ruby22-ruby and  rh-ruby23-ruby as shipped with Red Hat Software Collections 3. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 11 errata-xmlrpc 2018-02-28 20:02:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0378 https://access.redhat.com/errata/RHSA-2018:0378

Comment 13 errata-xmlrpc 2018-03-26 09:45:38 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0583 https://access.redhat.com/errata/RHSA-2018:0583

Comment 14 errata-xmlrpc 2018-03-26 10:23:45 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0585 https://access.redhat.com/errata/RHSA-2018:0585


Note You need to log in before you can comment on or make changes to this bug.